net.corda.core.contracts

## Class TransactionGraphSearch.Query

- net.corda.core.contracts.TransactionGraphSearch.Query

- Enclosing class:
    TransactionGraphSearch

      public static class TransactionGraphSearch.Query

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Query(java.lang.Class<? extends net.corda.core.contracts.CommandData> withCommandOfType, java.lang.Class<? extends net.corda.core.contracts.ContractState> followInputsOfType)`
    `Query()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Class<? extends net.corda.core.contracts.ContractState>` | `getFollowInputsOfType()`
    `java.lang.Class<? extends net.corda.core.contracts.CommandData>` | `getWithCommandOfType()`

- - ### Constructor Detail

    - #### Query

          public Query(java.lang.Class<? extends net.corda.core.contracts.CommandData> withCommandOfType,
                       java.lang.Class<? extends net.corda.core.contracts.ContractState> followInputsOfType)

    - #### Query

          public Query()

  - ### Method Detail

    - #### getWithCommandOfType

          public java.lang.Class<? extends net.corda.core.contracts.CommandData> getWithCommandOfType()

    - #### getFollowInputsOfType

          public java.lang.Class<? extends net.corda.core.contracts.ContractState> getFollowInputsOfType()